[package]
name = "worker"
version = "0.1.0"
edition = "2024"

[dependencies]
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
reqwest = { version = "0.12", features = ["blocking", "json"] }
scraper = "0.18"
tokio = { version = "1", features = ["full"] }
chrono = { version = "0.4", features = ["serde", "clock"] }
url = "2.5.4"
redis = { version = "0.32.3", features = ["tokio-comp"] }
pdf-extract = "0.9.0"
tempfile = "3.20.0"
config = "0.15.13"
tokio-cron-scheduler = "0.14.0"
sha2 = "0.10.9"
cron = "0.15.0"
